> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indoralabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Text Redactions for File

> Retrieve all text redaction records associated with a specific file.



## OpenAPI

````yaml GET /text-detections/file/{fileId}
openapi: 3.0.1
info:
  title: Indora Labs API
  description: >-
    Comprehensive API for search, ingestion, file ops, redaction, detections,
    audit trail, and case management. All endpoints return strongly-typed JSON
    with explicit field descriptions and examples.
  version: 1.0.0
  license:
    name: Proprietary
servers:
  - url: https://api.indoralabs.com
security:
  - apiKeyAuth: []
tags:
  - name: Search
  - name: Uploads
  - name: Files
  - name: Redactions
  - name: Detections
  - name: Cases
  - name: Audit
  - name: Auth
  - name: Embeddings
  - name: Policy
paths:
  /text-detections/file/{fileId}:
    get:
      tags:
        - Detections
      summary: Get text redactions for a file
      description: Retrieve all text redaction records associated with a specific file.
      parameters:
        - name: fileId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Text redaction records for the file.
          content:
            application/json:
              schema:
                type: object
                properties:
                  redactions:
                    type: array
                    items:
                      $ref: '#/components/schemas/TextRedaction'
        '401':
          description: Unauthorized.
        '404':
          description: No redactions found.
components:
  schemas:
    TextRedaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenantId:
          type: string
          format: uuid
        fileId:
          type: string
          format: uuid
        caseId:
          type: string
          format: uuid
          nullable: true
        docId:
          type: string
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        outputS3Uri:
          type: string
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````